> ## Documentation Index
> Fetch the complete documentation index at: https://docs.circuit.org/llms.txt
> Use this file to discover all available pages before exploring further.

# User

> Base URL: https://api.circuit.org/v1

Retrieve information about the authenticated user.

**Endpoint:** `GET /v1/user/info`

**Request**

| Header                          | Description                                        |
| ------------------------------- | -------------------------------------------------- |
| `Authorization: Bearer {token}` | User's API auth token acquired from authentication |

**cURL Example**

```bash theme={null}
curl -X GET "https://api.circuit.org/v1/user/info" -H "Authorization: Bearer api_auth_token"
```

**Response**

<Tabs>
  <Tab title="200">
    Success

    ```typescript theme={null}
    {
      id: number;
      username: string;
      email: string | null;
      isEmailVerified: boolean;
      referrerUsername: string | null;
      isDisabled: boolean;
      isAdmin: boolean;
      imageUrl: string | null;
    }
    ```
  </Tab>

  <Tab title="401">
    Unauthorized

    ```typescript theme={null}
    {
      success: false;
      error: string;
    }
    ```
  </Tab>

  <Tab title="404">
    No User Found

    ```typescript theme={null}
    {
      success: false;
      error: string;
    }
    ```
  </Tab>

  <Tab title="500">
    Internal Server Error

    ```typescript theme={null}
    {
      success: false;
      error: string;
    }
    ```
  </Tab>
</Tabs>
